function [oscillations_min,oscillations_max]=all_extremums_remove_similar(oscillations_min,oscillations_max,oscillations_min2,oscillations_max2);

for i=1:size(oscillations_min2,1)
    flag=0;
    for j=1:size(oscillations_min,1)
        if (max(oscillations_min(j,:)==oscillations_min2(i,:))>0)
            flag=1;
        end
    end
    if (flag==0)
        oscillations_min=[oscillations_min;oscillations_min2(i,:)];
    end
end

for i=1:size(oscillations_max2,1)
    flag=0;
    for j=1:size(oscillations_max,1)
        if (max(oscillations_max(j,:)==oscillations_max2(i,:))>0)
            flag=1;
        end
    end
    if (flag==0)
        oscillations_max=[oscillations_max;oscillations_max2(i,:)];
    end
end